Subject: bug#36773: 27.0.50; Accessing a cached SVG with eww can cause Emacs to crash

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Jul 2019 15:55:09 +0300

> From: Pip Cet <[email-masked]>
> Date: Thu, 25 Jul 2019 11:51:16 +0000
> Cc: Adam Plaice <[email-masked]>, [email-masked]
> 
> > Perhaps url-store-in-cache should take a parameter to remove the
> > Content-Encoding header (i.e. "gzip")?  It should really be up to the
> > program that uses url.el (i.e. shr) whether to cache the data or not...
> 
> I misread what you wrote at first, but I like my misreading better:
> url-handle-content-transfer-encoding modifies the message, but not its
> headers. Why shouldn't it do both?

Yes, I think it should.  Because that's the root cause of the problem:
the data is uncompressed, but the headers still say it is compressed.

Thanks.